<?php
define('GOOGLE_CHART_API_URL', 'http://chart.apis.google.com/chart');
class SampleChartHelper extends AppHelper {

	function lc($account, $password, $profileId) {
		
		App::import('Vendor', 'SampleChart.GoogleAnalytics', array('file'=>'googleanalytics.class.php'));
		$ga = new GoogleAnalytics($account,$password);
		$ga->setProfile('ga:'.$profileId);
		$endday = date("Y-m-d", mktime(0, 0, 0, date("m"), date("d")-1,  date("Y")));
		$startday = date("Y-m-d", mktime(0, 0, 0, date("m"), date("d")-10,  date("Y")));
		$ga->setDateRange($startday,$endday);
		$report = $ga->getReport(array(
				'dimensions'	=> 'ga:date',
				'metrics'		=> 'ga:visits',
				'sort'			=> 'ga:date'
		));

		$dates = array();
		$max = 0;
		foreach( $report as $date => $dimensions ){
		  $dates[] = date('m/d',strtotime(($date)));
		  $values[] = $dimensions['ga:visits'];
		  if($max < $dimensions['ga:visits']){
			  $max = $dimensions['ga:visits'];
		  }
		}
		arsort($dates);
		$upper = floor(($max*1.3)/100)*100;
		$middle = $upper/2;
		$chxl = "0:|".implode('|', $dates)."|1:||{$middle}|{$upper}";
		$chd = "t:".implode(',', $values);
		$chds = "0,".$upper;
		$url = GOOGLE_CHART_API_URL.'?'. <<< DOC_END
chxr=0,0,160
&chf=c,s,f2f2f2
&chxt=x,y
&cht=lc
&chds={$chds}
&chco=FFCC33
&chs=600x300
&chma=30,30,30,30
&chm=N,FF9900,0,-1,12|o,FF9900,0,-1,10
&chg=-1,-1,1,1
&chls=3
&chxl={$chxl}
&chd={$chd}
DOC_END;
		$Html = new HtmlExHelper();
		$out = $Html->image($url, array('alt' => 'Google Analytics Chart', 'class' => 'ga-chart'));
		return $out;
		
	}
	
}
?>